/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "pinocchio", "index.html", [
    [ "Overview", "index.html", [
      [ "What is Pinocchio?", "index.html#OverviewIntro", null ],
      [ "How to install Pinocchio?", "index.html#OverviewInstall", null ],
      [ "Simplest example with compilation command", "index.html#OverviewSimple", [
        [ "Compiling and running your program", "index.html#OverviewSimpleCompile", null ],
        [ "Explanation of the program", "index.html#OverviewSimpleExplain", null ]
      ] ],
      [ "More complex example with C++ and Python", "index.html#OverviewComplex", [
        [ "Compiling and running your program", "index.html#OverviewComplexCompile", null ],
        [ "Explanation of the program", "index.html#OverviewComplexExplain", null ]
      ] ],
      [ "About Python wrappings", "index.html#OverviewPython", null ],
      [ "How to cite Pinocchio", "index.html#OverviewCite", [
        [ "Easy solution: cite our open access paper", "index.html#autotoc_md245", null ],
        [ "Citing the software package", "index.html#autotoc_md246", null ],
        [ "Citing the derivative algorithms", "index.html#autotoc_md247", null ]
      ] ],
      [ "Where to go from here?", "index.html#OverviewConclu", null ]
    ] ],
    [ "Porting from Pinocchio 1.3.3 to 2.0.0", "md_doc__porting.html", [
      [ "What is included", "md_doc__porting.html#PortingIntro", null ],
      [ "Changes in C++", "md_doc__porting.html#PortingC", [
        [ "Header-only", "md_doc__porting.html#PortingCHeaderonly", null ],
        [ "Namespace", "md_doc__porting.html#PortingCNamespace", null ],
        [ "Deprecated macros", "md_doc__porting.html#PortingCMacros", null ],
        [ "Method signatures", "md_doc__porting.html#PortingCSignature", null ]
      ] ],
      [ "Changes in Python", "md_doc__porting.html#PortingPython", [
        [ "Namespace", "md_doc__porting.html#PortingPythonNamespace", null ],
        [ "RobotWrapper", "md_doc__porting.html#PortingPythonRobotWrapper", null ]
      ] ]
    ] ],
    [ "Main features of Pinocchio", "md_doc_a-features_intro.html", "md_doc_a-features_intro" ],
    [ "Examples", "md_doc_b-examples_intro.html", "md_doc_b-examples_intro" ],
    [ "Build reduced model", "md_doc_b-examples_o-reduced-model.html", [
      [ "Python", "md_doc_b-examples_o-reduced-model.html#autotoc_md82", null ],
      [ "C++", "md_doc_b-examples_o-reduced-model.html#autotoc_md83", null ]
    ] ],
    [ "Mathematical formulation", "md_doc_c-maths_intro.html", "md_doc_c-maths_intro" ],
    [ "Practical Exercises", "md_doc_d-practical-exercises_intro.html", "md_doc_d-practical-exercises_intro" ],
    [ "Implementation / Technical details", "md_doc_e-implementation_intro.html", "md_doc_e-implementation_intro" ],
    [ "Benchmarks", "md_doc_f-benchmarks_intro.html", "md_doc_f-benchmarks_intro" ],
    [ "Success Stories", "md_doc_g-success-stories_intro.html", [
      [ "List of projects succesfully using pinocchio", "md_doc_g-success-stories_intro.html#autotoc_md244", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Cheat sheet", "cheatsheet.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", null ],
        [ "Typedefs", "functions_type.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
".html",
"classpinocchio_1_1ForceDense.html#a6211fe3eff877b11f673b5fcb639f1e5",
"classpinocchio_1_1MotionDense.html#a6211fe3eff877b11f673b5fcb639f1e5",
"deprecated-namespaces_8hpp_source.html",
"md_doc_b-examples_j-tsid.html#autotoc_md68",
"namespacepinocchio_1_1container.html",
"structpinocchio_1_1CartesianProductOperation.html#a6933f9d1d67139c54e9558130af26a9d",
"structpinocchio_1_1CodeGenIntegrate.html#a1bb7a4791d342c3d5b6b31724240b091",
"structpinocchio_1_1ConstraintRevoluteUnalignedTpl_1_1TransposeConst.html#a950c4706fa793f407514e22c9c1506dc",
"structpinocchio_1_1GeometryData.html#ace84e47746882a62dd18e67a9d80c146",
"structpinocchio_1_1JointDataRevoluteTpl.html#ac68d0567a35acedfbce9fd0881876217",
"structpinocchio_1_1JointModelFreeFlyerTpl.html#af2b2b4731c25cb350a4df4b9555154d0",
"structpinocchio_1_1JointModelTranslationTpl.html#aeef7ed653a5cb548906ae88db9f82a08",
"structpinocchio_1_1MotionPlanarTpl.html#a0c6d61c89c40f2d4ed07a0b7f9bce280",
"structpinocchio_1_1SE3GroupAction_3_01ForceDense_3_01Derived_01_4_01_4.html#a80fa665e153839d1cf197672e02a6721",
"structpinocchio_1_1SpecialEuclideanOperationTpl_3_013_00_01__Scalar_00_01__Options_01_4.html#ace62a8c4ef03f0c6607cd65aee1f32bf",
"structpinocchio_1_1impl_1_1LhsMultiplicationOp_3_01Eigen_1_1MatrixBase_3_01M6Like_01_4_00_01Cons8e51ba8ef8aa3074b8994ed943a1ecd1.html#a49a5c7cee30b7ae5b299b145ff705a64",
"structpinocchio_1_1traits_3_01InertiaTpl_3_01T_00_01U_01_4_01_4.html#a098384b0034af0daa7c9c5c82b563567adc101ebf31c49c2d4b80b7c6f59f22cb",
"structpinocchio_1_1traits_3_01JointSphericalTpl_3_01__Scalar_00_01__Options_01_4_01_4.html#aae9462bd35b75cbc31b4624ae0b05fd0",
"structpinocchio_1_1traits_3_01MotionZeroTpl_3_01__Scalar_00_01__Options_01_4_01_4.html#a0ac0b7994a7d738aa77d2c1cfe8d6d13ac59641d0b7afd6206e201ea0829e9bf5"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';